
.autocomplete_page {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.page_content {
    display: flex;
    flex-direction: column;
    flex: 1 1 0;
    position: relative;
}

.description {
    display: flex;
    flex-direction: column;
    margin: 10px 20px 10px 20px;
}

.empty {
    height: 10px;
}

.node_container {
    display: flex;
    flex: 1 1;
    margin: 10px;
    box-sizing: border-box;
}

.input_field {
    display: flex;
    flex-direction: column;
    flex: 1 1 0;
    margin: 20px;
    position: relative;
}

.input_field input {
    border-radius: 10px;
    border-width: 1px;
    border-style: solid;
    border-color: #ddd;
    padding: 8px 10px;
    font-size: 14pt;
}

.input_field input:focus {
    outline: none;
    box-shadow: 0px 0px 3px #3399ff;
}

.autocomplete {
    position: absolute;
    top: 40px;
    margin-top: 10px;
    border-radius: 10px;
    background: #eee;
    border: 1px solid #ccc;
    box-shadow: 0px 3px 5px #0003;
    width: 100%;
}

.autocomplete > div {
    padding: 10px;
    border-top: 1px solid #ccc;
    cursor: pointer;
}

.autocomplete > div:nth-child(1) {
    border-top: unset;
}

.autocomplete > div:hover {
    background: #fff;
    border-radius: 10px;
}

.selected_container {
    display: flex;
    flex-direction: column;
    background: #ececec;
    padding: 10px;
    margin: 0px 20px 20px 20px;
    border-radius: 10px;
}

.selected_title {
    font-weight: bold;
    padding-bottom: 10px;
}